Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Messaging

Send Message

POST
/v1/messages/send

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

channel_id*string
Formatuuid
id?string
Formatuuid
conversation_id?string
Formatuuid
conversation_status?"archived" | "closed" | "open"
Value in"archived" | "closed" | "open"
to?array<>
cc?array<>
bcc?array<>
subject?string
footer?string
header_media_filename?string|null
content?|null
text?string
Length1 <= length
html?string
Length1 <= length
send_after?|string
placeholder_values?array<string>
reply_to_message_id?string
Formatuuid
template_id?string
Formatuuid
sendout_id?string
Formatuuid
campaign_id?string
Formatuuid
review_channel_id?string
Formatuuid
form_element_submission_id?string
Formatuuid
journey_node_execution_id?string
Formatuuid
omni_channel_message_id?string
Formatuuid
actions?array<>
marketing_channel_id?string
Formatuuid
status?"answered" | "bounce_error" | "draft" | "interacted" | "read" | "scheduled" | "sending" | "sending_error" | "sent" | "submission_error" | "submitted"
Value in"answered" | "bounce_error" | "draft" | "interacted" | "read" | "scheduled" | "sending" | "sending_error" | "sent" | "submission_error" | "submitted"
cs_agent_session_id?string
Formatuuid
attachments?array<>

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/messages/send" \  -H "Content-Type: application/json" \  -d '{    "channel_id": "00000000-0000-0000-0000-000000000000",    "to": [      {        "handle": "recipient@example.com"      }    ],    "text": "Hello"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",  "channel_type": "email",  "author_id": "string",  "author_type": "bot",  "is_inbound": true,  "forwarded": true,  "content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "raw_content": "string",  "snippet": "string",  "subject": "string",  "footer": "string",  "contacts": [    {      "addresses": [        {          "city": "string",          "country": "string",          "country_code": "string",          "state": "string",          "street": "string",          "type": "string",          "zip": "string"        }      ],      "birthday": "string",      "emails": [        {          "email": "string",          "type": "string"        }      ],      "name": {        "formatted_name": "string",        "first_name": "string",        "last_name": "string",        "middle_name": "string",        "suffix": "string",        "prefix": "string"      },      "org": {        "company": "string",        "department": "string",        "title": "string"      },      "phones": [        {          "phone": "string",          "type": "string",          "wa_id": "string"        }      ],      "urls": [        {          "url": "string",          "type": "string"        }      ]    }  ],  "external_files": [    {      "url": "string",      "type": "audio"    }  ],  "files": [    {      "name": "string",      "metadata": {        "property1": null,        "property2": null      },      "property1": null,      "property2": null    }  ],  "header_media_filename": "string",  "error": {    "property1": null,    "property2": null  },  "error_code": "string",  "status": "answered",  "send_after": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z",  "timestamp": "2019-08-24T14:15:22Z",  "date": "2019-08-24T14:15:22Z",  "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",  "sendout_id": "355312a2-92c6-4c00-afe0-809e43e2623b",  "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",  "review_channel_id": "ee220a3f-5683-4244-a09c-c291f465ddc9",  "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f",  "attachment_count": -9007199254740991,  "placeholder_values": [    "string"  ],  "location": "string",  "location_metadata": {    "address": "string",    "name": "string",    "url": "string"  },  "quoted_message_content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "quoted_message_text": "string",  "forwarded_message_content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "forwarded_message_text": "string",  "cleared_at": "2019-08-24T14:15:22Z",  "external_id": "string",  "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",  "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",  "cs_agent_session_id": "f10cf73a-2212-4843-a9f4-4bb7c0cdb796",  "form_element_submission_id": "d0037128-4dc4-4a2d-84f9-bea83b354986",  "journey_node_execution_id": "a431991a-5961-427d-b58c-37e1c7e66dbb",  "omni_channel_message_id": "2c9cf582-c256-4aba-b848-208a5365a7d8",  "marketing_channel_id": "ae5680ad-b032-4fd0-b011-98eba965b308",  "triggered_message_action_id": "27f20eaa-277d-4a09-8d2d-4073b2311955",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "attachments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "filename": "string",      "purpose": "media_library",      "path": "string",      "size": -9007199254740991,      "type": "string",      "metadata": {        "property1": null,        "property2": null      },      "user_metadata": {        "property1": null,        "property2": null      }    }  ],  "external_attachments": [    {      "url": "string",      "type": "audio"    }  ],  "to": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "handle": "string",      "full_name": "string",      "role": "bcc",      "status": "answered",      "is_organisation": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "cc": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "handle": "string",      "full_name": "string",      "role": "bcc",      "status": "answered",      "is_organisation": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "bcc": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "handle": "string",      "full_name": "string",      "role": "bcc",      "status": "answered",      "is_organisation": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "actions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "type": "call_to_action",      "subtype": "phone_number",      "text": "string",      "data": "string",      "index": -9007199254740991,      "clicked": true,      "sqid": -9007199254740991,      "accept_marketing_channel_id": "ba8615eb-7ac9-4482-a7a0-f8c0de25dfcc",      "decline_marketing_channel_id": "00439cbe-372d-461e-84a0-51c62e69e242",      "trigger_marketing_channel_id": "2afd81a8-c993-4bc8-8bc4-5072ea061daa",      "form_element_option_id": "a86f6919-3aa8-47ef-a7c8-8b6460f9501e",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "reactions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",      "emoji": "string",      "external_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "translations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "locale": "string",      "translation": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "transcriptions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "transcription": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "reply_to_message": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",    "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",    "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",    "channel_type": "email",    "author_id": "string",    "author_type": "bot",    "is_inbound": true,    "forwarded": true,    "content": {      "type": "root",      "children": [        {          "type": "text",          "content": "string",          "bold": true,          "underline": true,          "strikethrough": true,          "italic": true        }      ],      "style": {        "color": "string",        "fontSize": 0,        "fontFamily": "string",        "alignment": "left"      }    },    "raw_content": "string",    "snippet": "string",    "subject": "string",    "footer": "string",    "contacts": [      {        "addresses": [          {            "city": "string",            "country": "string",            "country_code": "string",            "state": "string",            "street": "string",            "type": "string",            "zip": "string"          }        ],        "birthday": "string",        "emails": [          {            "email": "string",            "type": "string"          }        ],        "name": {          "formatted_name": "string",          "first_name": "string",          "last_name": "string",          "middle_name": "string",          "suffix": "string",          "prefix": "string"        },        "org": {          "company": "string",          "department": "string",          "title": "string"        },        "phones": [          {            "phone": "string",            "type": "string",            "wa_id": "string"          }        ],        "urls": [          {            "url": "string",            "type": "string"          }        ]      }    ],    "external_files": [      {        "url": "string",        "type": "audio"      }    ],    "files": [      {        "name": "string",        "metadata": {          "property1": null,          "property2": null        },        "property1": null,        "property2": null      }    ],    "header_media_filename": "string",    "error": {      "property1": null,      "property2": null    },    "error_code": "string",    "status": "answered",    "send_after": "2019-08-24T14:15:22Z",    "sent_at": "2019-08-24T14:15:22Z",    "timestamp": "2019-08-24T14:15:22Z",    "date": "2019-08-24T14:15:22Z",    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",    "sendout_id": "355312a2-92c6-4c00-afe0-809e43e2623b",    "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",    "review_channel_id": "ee220a3f-5683-4244-a09c-c291f465ddc9",    "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f",    "attachment_count": -9007199254740991,    "placeholder_values": [      "string"    ],    "location": "string",    "location_metadata": {      "address": "string",      "name": "string",      "url": "string"    },    "quoted_message_content": {      "type": "root",      "children": [        {          "type": "text",          "content": "string",          "bold": true,          "underline": true,          "strikethrough": true,          "italic": true        }      ],      "style": {        "color": "string",        "fontSize": 0,        "fontFamily": "string",        "alignment": "left"      }    },    "quoted_message_text": "string",    "forwarded_message_content": {      "type": "root",      "children": [        {          "type": "text",          "content": "string",          "bold": true,          "underline": true,          "strikethrough": true,          "italic": true        }      ],      "style": {        "color": "string",        "fontSize": 0,        "fontFamily": "string",        "alignment": "left"      }    },    "forwarded_message_text": "string",    "cleared_at": "2019-08-24T14:15:22Z",    "external_id": "string",    "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",    "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",    "cs_agent_session_id": "f10cf73a-2212-4843-a9f4-4bb7c0cdb796",    "form_element_submission_id": "d0037128-4dc4-4a2d-84f9-bea83b354986",    "journey_node_execution_id": "a431991a-5961-427d-b58c-37e1c7e66dbb",    "omni_channel_message_id": "2c9cf582-c256-4aba-b848-208a5365a7d8",    "marketing_channel_id": "ae5680ad-b032-4fd0-b011-98eba965b308",    "triggered_message_action_id": "27f20eaa-277d-4a09-8d2d-4073b2311955",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}